function newSprt02070Control(pageName, doctx="[data-doctx='sprt02070']", mainPageName="sprt02010") {
    let ctrlRcvmt = new DatasetControl({
          doctx: doctx
        , prefix: "rcvmt"
        , prefixName: "수납"
        , dataGetter: obj => obj["rcvmts"]
        , keys: ["RCVMT_ID"]
        , appendData: true
        , infoSize: "lg"
        , urls: {
              load: "/list.do"
            , getInfo: "/info.do"
            , remove: "/remove.do"
        }
        , formats: {
              RCVMT_YMD: dateFormat
            , ACNTG_YMD: dateFormat
            , TSF_YMD: dateFormat
            , RCVMT_AMT: numberFormat
            , RCVMT_PCPTAX: numberFormat
            , RCVMT_ADAMT: numberFormat
            , RCVMT_INT: numberFormat
            , RCVMT_RTRCN_DT: datetimeFormat
            , REG_DT: datetimeFormat
            , MDFCN_DT: datetimeFormat
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // Dataset 변경 이벤트
    ctrlRcvmt.onDatasetChange = (obj, option) => {
        // 데이터 셋
        let dataList = ctrlRcvmt.dataset;
        let empty = dataList.empty;

        let replacer = (str, dataItem) => str
            .replace(/{onclick}/gi, "pageObject['" + pageName + "'].ctrlRcvmt.setCurrent('{data-index}');")

        let trs = empty ?
                      [ctrlRcvmt.find("[name='tmpltNotFoundRcvmt']").innerHTML]
                    : dataList.inStrings(ctrlRcvmt.find("[name='tmpltRcvmtRows']").innerHTML, replacer);

        // dataTables(그리드)에 자료 표시 td
        $(ctrlRcvmt.find("[name='tbodyRcvmtList']")).html(trs.join());
    };

    // 현재 선택 자료 변경 이벤트
    ctrlRcvmt.onCurrentChange = (item) => {
        Apply.fromDataset.currentRow(ctrlRcvmt.dataset, item, ctrlRcvmt.find("[name='tbodyRcvmtList']"));

        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrlRcvmt.selector("[name='frmEditRcvmt']"));
        formFields.set(ctrlRcvmt, item);
    };

    // 상세 정보 dialog
    ctrlRcvmt.getInfo = (params) => {
        if (!params) return;

        ajax.get({
              url: wctx.url("/rcvm/rcvm01/020/info.do")
            , data: params || {}
            , success: (resp) => {
                let dialogName = ctrlRcvmt.prefixed("Dialog");
                let dialogId = dialogName + "-" + uuid();

                dialog.open({
                      id: dialogId
                    , title: params.btnTitle
                    , size: ctrlRcvmt.infoSize
                    , content: resp
                    , init: () => {
                        $("#" + dialogId).attr("name", dialogName);
                        $("#" + dialogId).attr("data-ref-doctx", pageName);

                        AppSupport.setDialogZindex();
                    }
                    , onClose: () => { pageObject[pageName].fnRefresh(); }      // 정보 새로고침
                });
            }
        });
    }

    // 수기 수납 취소 callback
    ctrlRcvmt.onSave = (params, resp) => {
        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { pageObject[pageName].fnRefresh(); }           // 정보 새로고침
            }
        });
    }

    // 수기 수납 취소
    ctrlRcvmt.save = (params) => {
        if (!params) return;

        ajax.post({
              url: wctx.url("/rcvm/rcvm01/010/updateRcvmtRtrcn.do")
            , data: params || {}
            , success: (resp) => { ctrlRcvmt.onSave(params, resp); }
        });
    }

    // 수기 수납 삭제 callback
    ctrlRcvmt.onRemove = (params, resp) => {
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, params.btnTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { pageObject[pageName].fnRefresh(); }           // 정보 새로고침
            }
        });
    }

    // 수기 수납 삭제
    ctrlRcvmt.remove = (params) => {
        if (!params) return;

        ajax.post({
              url: wctx.url("/rcvm/rcvm01/010/remove.do")
            , data: params || {}
            , success: (resp) => { ctrlRcvmt.onRemove(params, resp); }
        });
    }

    return ctrlRcvmt;
}
